Package com.pixelmed.dicom

# Class ContentItemFactory.WaveformContentItem

java.lang.Object
com.pixelmed.dicom.ContentItem
com.pixelmed.dicom.ContentItemWithValue
com.pixelmed.dicom.ContentItemFactory.CompositeContentItem
com.pixelmed.dicom.ContentItemFactory.WaveformContentItem

All Implemented Interfaces:
  `TreeNode`

Enclosing class:
  ContentItemFactory

public class ContentItemFactory.WaveformContentItem extends ContentItemFactory.CompositeContentItem

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int[]`
`referencedWaveformChannels`

### Fields inherited from class com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

`referencedSOPClassUID, referencedSOPInstanceUID, referencedSOPSequenceItemAttributeList`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`observationDateTime, observationUID, relationshipType`

## Constructor Summary

Constructors
Constructor
Description
`WaveformContentItem(ContentItem parent, AttributeList list)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getReferencedWaveformChannels()`
`String`
`toString()`
Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

`doCommonConstructorStuff, getConceptValue, getReferencedSOPClassUID, getReferencedSOPInstanceUID`

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getObservationDateTime, getObservationUID, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### referencedWaveformChannels

protected int[] referencedWaveformChannels

## Constructor Details

### WaveformContentItem

public WaveformContentItem(ContentItem parent, AttributeList list)

Parameters:
  `parent` - parent content item to add to
  `list` - the list of attributes for this content item

## Method Details

### toString

public String toString()
Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemFactory.CompositeContentItem`
Returns:
  the string representation of the content item

### getReferencedWaveformChannels

public int[] getReferencedWaveformChannels()

Returns:
  the waveform channels